//copy this lua file and customise to add your own pets!!

//remember to freeslot your custom sprites!
freeslot(
"SPR_BEES",
"SPR_MOTO",
"SPR_DETO",
"SPR_ROCK",
"SPR_TIKA",
"SPR_CHIP",
"SPR_OAHC",
"SPR_WISP",
"SPR_FRZY",
"SPR_CUBE",
"SPR_UKIM",
"SPR_CLAB",
"SPR_CLAR",
"SPR_IDYA",
"SPR_CHRM",
"SPR_PSO2",
"SPR_BUMB",
"SPR_FL01",
"SPR_EMBR",
"SPR_WMBR",
"SPR_CYRE"
)

local PetsToAdd = {									

	Ember = {						
		SpriteSet = SPR_EMBR,		
		Color = "gold",				
		Anims = {					
			Idle = {A, C, 0},	
			Fall = {J, L, 0},	
			Jump = {G, I, 0},				
			Move = {D, F, 0}	
		}							
	},
	
	Retember = {						
		SpriteSet = SPR_WMBR,		
		Color = "silver",			
		Anims = {					
			Idle = {A, C, 0},	
			Fall = {J, L, 0},	
			Jump = {G, I, 0},				
			Move = {D, F, 0}		
		},							
	},
	
	Cyrember = {						
		SpriteSet = SPR_CYRE,		
		Color = "green",			
		Anims = {					
			Idle = {A, C, 0},	
			Fall = {J, L, 0},	
			Jump = {G, I, 0},				
			Move = {D, F, 0}		
		}							
	},
	
	Bumblebore = {
		SpriteSet = SPR_BUMB,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	Bumblebea = {
		SpriteSet = SPR_BEES,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	CharmyBee = {
		SpriteSet = SPR_CHRM,
		Color = "yellow",
		Anims = {
			Idle = {A, B, 1},
		}
	},

	Ideya = {
		SpriteSet = SPR_IDYA,
		Anims = {
			Idle = {A, E, 10},
		}
	},
	
	UNKNOWN = {
		SpriteSet = SPR_UNKN,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Motobug = {
		SpriteSet = SPR_MOTO,
		Color = "red",
		Anims = {
			Idle = {A, A, 1},
		}
	},

	Deton = {
		SpriteSet = SPR_DETO,
		Color = "red",
		Anims = {
			Idle = {A, A, 1},
			Pain = {B, B, 1},
			Dead = {B, B, 1},
		}
	},
	
	EggRock = {
		SpriteSet = SPR_ROCK,
		Color = "dusk",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Tikal = {
		SpriteSet = SPR_TIKA,
		Dist = 38,
		Color = "pink",
		Anims = {
			Idle = {A, H, 5},
		}
	},
	
	Chip = {
		SpriteSet = SPR_CHIP,
		Dist = 38,
		Color = "red",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Chao = {
		SpriteSet = SPR_OAHC,
		Dist = 38,
		Color = "cyan",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Flicky = {
		SpriteSet = SPR_FL01,
		Dist = 38,
		Color = "blue",
		Anims = {
			Idle = {B, D, 3},
			Fall = {A, A, 1}
		}
	},
	
	Wisp = {
		SpriteSet = SPR_WISP,
		Dist = 38,
		Color = "cyan",
		Anims = {
			Idle = {A, C, 3},
		}
	},
	
	FrenzyWisp = {
		SpriteSet = SPR_FRZY,
		Dist = 38,
		Color = "pastel",
		Anims = {
			Idle = {A, C, 3},
		}
	},
		
	CubeWisp = {
		SpriteSet = SPR_CUBE,
		Dist = 38,
		Color = "blue",
		Anims = {
			Idle = {A, B, 3},
		}
	},

	Mikuball = {
		SpriteSet = SPR_UKIM,
		Dist = 38,
		Color = "teal",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Crawla = {
		SpriteSet = SPR_CLAB,
		Dist = 38,
		Color = "periwinkle",
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	Mag = {
		SpriteSet = SPR_PSO2,
		Dist = 38,
		Color = "blue",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end